#ifndef _H_LOG
#define _H_LOG

#define PLOG_INFO    1
#define PLOG_DEBUG   2

#define DEBUGP(format, ...) \
	do { \
		log_print(PLOG_DEBUG, "[%s:%d] ", __FILE__, __LINE__); \
		log_print(PLOG_DEBUG, format, ##__VA_ARGS__); \
	} while(0)

#define INFOP(format, ...) \
	log_print(PLOG_INFO, format, ##__VA_ARGS__)

void log_init (void);
void log_fini (void);
void log_print(int level, char *format, ...);

#endif
